<network>
    <name>{{ net_config.name }}</name>
    <uuid>{{ net_config.bridge_mac |to_uuid }}</uuid>
    <bridge name="{{ net_config.bridge }}" stp="off" delay="0" macTableManager="libvirt"/>
    <mac address="{{ net_config.bridge_mac }}"/>
    <forward mode="open"/>
    <domain name="{{ net_config.domain }}" localOnly="yes"/>
    <dns>
{% for server in ansible_dns.nameservers %}
      <forwarder addr="{{ server }}"/>
{% endfor %}
      <host ip="{{ net_config.net |ipv4(1) |ipv4('address') }}">
        <hostname>gateway</hostname>
        <hostname>autoserver</hostname>
      </host>
    </dns>
    <ip address="{{ net_config.net |ipv4(1) |ipv4('address') }}" prefix="{{ net_config.net |ipv4('prefix') }}" localPtr="yes">
      <tftp root="{{ tftp_root }}"/>
      <dhcp>
        <range start="{{ net_config.net |ipv4(net_config.dhcp_start) |ipv4('address') }}" end="{{ net_config.net |ipv4(net_config.dhcp_end) |ipv4('address') }}"/>
      </dhcp>
    </ip>
    <ip family="ipv6" address="{{ net_config.net6 |ipv6(1) |ipv6('address') }}" prefix="{{ net_config.net6 |ipv6('prefix') }}" localPtr="yes">
      <dhcp>
        <range start="{{ net_config.net6 |ipv6(net_config.dhcp6_start) |ipv6('address') }}" end="{{ net_config.net6 |ipv6(net_config.dhcp6_end) |ipv6('address') }}"/>
      </dhcp>
    </ip>
</network>
